##
##  perl-mail.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_mime_tools        5.411
%define       V_mime_lite         3.01
%define       V_mime_base64       2.20
%define       V_mime_explode      0.22
%define       V_mime_types        1.06
%define       V_mailtools         1.58
%define       V_mail_box          2.042
%define       V_mail_mboxparser   0.38
%define       V_mail_sendmail     0.79
%define       V_mail_sender       0.8.06

#   package information
Name:         perl-mail
Summary:      Perl Modules for use with email
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030521
Release:      20030521

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/MIME/MIME-tools-%{V_mime_tools}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/MIME/MIME-Lite-%{V_mime_lite}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/MIME/MIME-Base64-%{V_mime_base64}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/MIME/MIME-Explode-%{V_mime_explode}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/MIME/MIME-Types-%{V_mime_types}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/Mail/MailTools-%{V_mailtools}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/Mail/Mail-Box-%{V_mail_box}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/Mail/Mail-MboxParser-%{V_mail_mboxparser}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/Mail/Mail-Sendmail-%{V_mail_sendmail}.tar.gz
Source9:      http://www.cpan.org/modules/by-module/Mail/Mail-Sender-%{V_mail_sender}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230, perl, perl-openpkg, perl-ds, perl-util
PreReq:       OpenPKG, openpkg >= 20021230, perl, perl-openpkg, perl-ds, perl-util
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for use with email:
    - MIME::Base64 (%{V_mime_base64})
    - Mail::Sendmail (%{V_mail_sendmail})
    - Mail::Sender (%{V_mail_sender})
    - Mail::Box (%{V_mail_box})
    - Mail::XXX (%{V_mailtools})
    - MIME::XXX (%{V_mime_tools})
    - MIME::Lite (%{V_mime_lite})
    - MIME::Types (%{V_mime_types})
    - MIME::Explode (%{V_mime_explode})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup6 -q -T -D -a 6
    %setup7 -q -T -D -a 7
    %setup8 -q -T -D -a 8
    %setup9 -q -T -D -a 9

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE9}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

